from django.urls import path
from .views import *

urlpatterns = [
    path('forum/create', CreateForumView.as_view(), name='create_forum'),
    path('forum/edit/<int:forum_id>/', EditForumView.as_view(), name='edit_forum'),
    path('forum/delete/<int:forum_id>/', DeleteForumView.as_view(), name='delete_forum'),
    path('forum/details', ForumDetailsView.as_view(), name='forum-details'),

    path('forum/discussion-members', DiscussionMembersView.as_view(), name='discussion-members'),
    path('forum/invite-friend', InviteFriendView.as_view(), name='invite-friend'),
    path('forum/accept-request', AcceptInvitationView.as_view(), name='accept-request'),
    path('forum/decline', DeclineInvitationView.as_view(), name='decline'),
    path('forum/exit-request', ExitForumView.as_view(), name='exit-request'),
    path('forum/remove-user', RemoveUserView.as_view(), name='remove-user'),

    path('forum/create_question', CreateQuestionView.as_view(), name='create-question'),
    path('forum/question/<int:question_id>/delete', DeleteQuestionView.as_view(), name='delete-question'),
    path('forum/question/<int:question_id>/edit', UpdateQuestionView.as_view(), name='edit-question'),

    path('forum/question/<int:question_id>/comment/', AddCommentView.as_view(), name='add_comment'),
    path('forum/question/<int:question_id>/like/', LikeQuestionView.as_view(), name='like-question'),

    path('forum/questions/<int:question_id>/share/', ShareQuestionView.as_view(), name='share-question'),
    path('forum/questions/<int:question_id>/', GetQuestionDetailView.as_view(), name='get_question_detail'),

    path('forum/<int:forum_id>/listuser', ForumMemberListView.as_view(), name='list_memebers'),
    path('forum/list-metrics/<int:forum_id>/', ForumListWithMetricsAPIView.as_view(), name='list_top_20'),
    path('forum/list-metrics/', TopForumsView.as_view(), name='list_top_20_forum'),
    path('forum/list-forums', ForumListView.as_view(), name='filter_forums'),
    path("forum/join-public/", JoinPublicForumView.as_view(), name="join-public-forum"),
    path("forum/created-by-me/", ForumsCreatedByMeView.as_view(), name="forums-created-by-me"),
    path("forum/added-me-by-others/", ForumsJoinedByMeView.as_view(), name="forums-added-me-by-others"),
    path("forum/by-categories/", ForumsByCategoriesView.as_view(), name="forums-by-categories"),
    path('question/comments/', QuestionCommentsView.as_view(), name='question-comments'),
    path("trending-topics/", TrendingTopicsAPI.as_view(), name="trending-topics"),
]